<?
include_once("mysql.php");
include 'inclydings/zag2.php';
include 'inclydings/ini.php';
include_once("inclydings/sesi.php");
if (isset($user)) {
include_once("inclydings/udata.php");
if(empty($udata[23])){echo"Вы не в клане!"; include_once"inclydings/down.php"; exit;}

switch($go) {

default:

if(@file("L2dbnam/esql2db/clan/$log.dat")){
echo"<li><a href=\"clan2.php?$sd\">Управление кланом</a><br/>";}
if($udata[23]=="$log"){echo"<li><a href=\"clanroom.php?$sd&go=deskto\">Вывесить объявление</a>
<br/><li><a href=\"clanroom.php?$sd&go=obuyava\">Удалить объявление клана</a>
<br/><li><a href=\"clanroom.php?$sd&go=site\">Вывесить сайт клана</a>
<br/><li><a href=\"clanroom.php?$sd&go=sitest\">Удалить сайт клана</a>";
if(@file("L2dbnam/esql2db/clan/kazna/$udata[23].dat")){echo"<br/><li><a href=\"clanroom.php?go=closedel&" . $sd . "\">Разрешить брать деньги</a>";}else{echo"<br/><li><a href=\"clanroom.php?go=close&" . $sd . "\">Запретить брать деньги</a>";}
if(@file("L2dbnam/esql2db/clan/kaznacoin/$udata[23].dat")){echo"<br/><li><a href=\"clanroom.php?go=closedel2&" . $sd . "\">Разрешить брать coin of luck</a>";}else{echo"<br/><li><a href=\"clanroom.php?go=close2&" . $sd . "\">Запретить брать coin of luck</a>";}
if(@file("L2dbnam/esql2db/clan/kaznagold/$udata[23].dat")){echo"<br/><li><a href=\"clanroom.php?go=closedel3&" . $sd . "\">Разрешить брать gold</a>";}else{echo"<br/><li><a href=\"clanroom.php?go=close4&" . $sd . "\">Запретить брать gold</a>";}
if(@file("L2dbnam/esql2db/clan/blocksklad/$udata[0].dat")){echo"<br/><li><a href=\"clanroom.php?go=closesklad1&" . $sd . "\">Открыть склад</a>";}else{echo"<br/><li><a href=\"clanroom.php?go=closesklad&" . $sd . "\">Закрыть склад</a>";}}

echo"<br>";
if(@file("L2dbnam/esql2db/clan/desk/$udata[23].dat")){

$text = @file("L2dbnam/esql2db/clan/desk/$udata[23].dat");
$text = explode("||",$text[0]);
echo"<br/>";
echo"$text[0]<br>- - - -<br>";}

if(@file("L2dbnam/esql2db/clan/$udata[23].dat")){

$text = @file("L2dbnam/esql2db/clan/$udata[23].dat");
$text = explode(":||:",$text[0]);
echo"<br>Уровень клана: $text[3]<br/>";}
$bank = @file("L2dbnam/esql2db/clan/bank/$udata[23].dat");
$bank = explode("||",$bank[0]);
if(empty($bank[0])){$bank[0]="0";}
echo"В клане: $bank[0] <img src='pik4erspic/mini/aden.gif' alt='pic'/><br/>";
$coin = @file("L2dbnam/esql2db/clan/coin/$udata[23].dat");
$coin = explode("||",$coin[0]);
if(empty($coin[0])){$coin[0]="0";}
echo"В клане: $coin[0] <img src='pik4erspic/mini/gold.gif' height=13 width=13><br/>";
$gold = @file("L2dbnam/esql2db/clan/gold/$udata[23].dat");
$gold = explode("||",$gold[0]);
if(empty($gold[0])){$gold[0]="0";}
echo"В клане: $gold[0] <img src='pik4erspic/mini/gold1.png' alt='pic'/><br/>
<hr><a href=\"clan2.php?$sd&go=items\">Положить вещи на склад </a><br/>
<hr><a href=\"clan2.php?$sd&go=sklad\">Взять вещи со склада</a><br/>
<hr>
Положить: [<a href=\"clanroom.php?$sd&go=bankadd\">Аден</a>] [<a href=\"clanroom.php?$sd&go=bankcol\">Coin of luck</a>] [<a href=\"clanroom.php?$sd&go=bankgold\">Голд</a>]<br/>
<hr>
Взять: [<a href=\"clanroom.php?$sd&go=my\">Аден</a>] [<a href=\"clanroom.php?$sd&go=my2\">Coin of luck</a>] [<a href=\"clanroom.php?$sd&go=my3\">Голд</a>]<br/>
<hr>
Логи: [<a href=\"clanroom.php?$sd&go=logs\">Аден</a>] [<a href=\"clanroom.php?$sd&go=logscoin\">Coin of luck</a>] [<a href=\"clanroom.php?$sd&go=logsgold\">Голд</a>]<br/>
<hr><a href=\"clanroom.php?$sd&go=who\">Кто в клане?</a><br/><hr>";
if(@file("L2dbnam/esql2db/clan/site/$udata[23].dat")){

$text = @file("L2dbnam/esql2db/clan/site/$udata[23].dat");
$text = explode("||",$text[0]);

echo"<a href=\"$text[0]\">Сайт клана</a><br/><hr>";}

if(@file("L2dbnam/esql2db/clan/clanholl/$udata[23].dat")){
echo"<hr><a href=\"auctioner.php?$sd&go=clanholl\">Clan Holl</a><br/><hr>";}

$file = @file("L2dbnam/esql2db/clan/chat/$udata[23].dat");
if(empty($file)){echo"В клан-чате сообщений нет.";}
$total = count($file);
if (empty($_GET['start'])) $start = 0;
else $start = $_GET['start'];
if ($total < $start + 5){ $end = $total; }
else {$end = $start + 5; }
for ($i = $start; $i < $end; $i++){

$file = @file("L2dbnam/esql2db/clan/chat/$udata[23].dat");
$file = @array_reverse($file);
$data = explode("#",$file[$i]);
$i2=round($i+1);

$data[6]=str_replace("\r\n", "", $data[6]);

$elita=mysql_query("SELECT * FROM `table_admin` WHERE `nick`='$data[1]' LIMIT 1");
if(mysql_num_rows($elita)==1){
if(!empty($data[1])){
echo"<br/><a href=\"search.php?$sd&go=go&nick=$data[1]\"><font color=lime>$data[1]</font></a> ($data[2]/$data[3]) - $data[0]";}}else{
$elita=mysql_query("SELECT * FROM `table_moder` WHERE `nick`='$data[1]' LIMIT 1");
if(mysql_num_rows($elita)==1){
if(!empty($data[1])){
echo"<br/><a href=\"search.php?$sd&go=go&nick=$data[1]\"><font color=blue>$data[1]</font></a> ($data[2]/$data[3]) - $data[0]";}}else{
if(@file("L2dbnam/esql2db/rating/olimpiads/$data[1].dat")){
if(!empty($data[1])){
echo"<br/><a href=\"search.php?$sd&go=go&nick=$data[1]\"><font color=#C71585>$data[1]</font></a> ($data[2]/$data[3]) - $data[0]";}}else{
if(!empty($data[1])){
echo"<br/><a href=\"search.php?$sd&go=go&nick=$data[1]\">$data[1]</a> ($data[2]/$data[3]) - $data[0]";}}}}

}
echo "<br/><b>---</b>";
echo "<form action=\"clanroom.php?$sd&go=add\" method=\"post\"><br/><input name=\"msg$ref\" maxlength=\"200\" title=\"msg\"/><br/><input type=\"hidden\" name=\"self\" value=\"$self\"/>";
echo '<input type="submit" value="Написать" /></form>';

if ($start != 0) {echo '<a href="clanroom.php?start='.($start - 5).'&'.$sd.'">Назад</a> ';}else{echo'---<br/>';}

if ($total > $start + 5) {echo ' <a href="clanroom.php?start='.($start + 5).'&'.$sd.'">Далее</a>';}

echo"<br/><a href=\"clanroom.php?$sd&ref=$ref\">Обновить</a><br/>";

break;
case 'obuyava':
unlink("L2dbnam/esql2db/clan/desk/$log.dat");
echo"Обьявление удалено</a></br>";


break;
case 'sitest':
unlink("L2dbnam/esql2db/clan/site/$log.dat");
echo"Сайт удалён</a></br>";



break;
case 'closesklad1':

if(@file("L2dbnam/esql2db/clan/blocksklad/$udata[23].dat")){
$text = @file("L2dbnam/esql2db/clan/blocksklad/$udata[23].dat");
$data = explode("||",$text[0]);


if(@file("L2dbnam/esql2db/clan/blocksklad/$udata[23].dat")){
@unlink ("L2dbnam/esql2db/clan/blocksklad/$udata[23].dat");
echo"Вы успешно открыли склад клана";}}
break;

case 'closesklad':
$text=$log.':||:';

$fp=fopen("L2dbnam/esql2db/clan/blocksklad/$udata[23].dat","w");
flock($fp,LOCK_EX);
ftruncate($fp,0);
fputs($fp,"$text");
fflush($fp);
flock($fp,LOCK_UN);
fclose($fp);
echo"Вы успешно закрыли склад";


break;

case 'my3':
if(@file("L2dbnam/esql2db/clan/kaznagold/$udata[23].dat")){echo"Глава клана запретил брать <img src='pik4erspic/mini/gold1.png' alt='pic'/>"; include_once"inclydings/down.php"; exit;}
echo "<form action=\"clanroom.php?go=go&".$sd."&go=mybank3\" method=\"post\">Сколько?:<br/>";
echo "<input name=\"kol\" maxlength=\"20\" title=\"name\"/><br/>";
echo '<input type="submit" value="OK" /></form>';

break;

case 'mybank3':

$gold=$udata[23];

$fal = @file("L2dbnam/esql2db/clan/gold/$gold.dat");
$udata = explode("||",$fal[0]);

if($_POST[kol]>$udata[0]){echo"У клана нет столько <img src='pik4erspic/mini/gold1.png' alt='pic'/>"; include_once"inclydings/down.php"; exit;}

if(eregi("[^0-9]",$_POST[kol])){echo"Вводите число, а не буквы!"; include_once"inclydings/down.php"; exit;}

$fal = @file("L2dbnam/esql2db/clan/gold/$gold.dat");
$udata = explode("||",$fal[0]);

$udata[0]=$udata[0]-$_POST[kol];

$text="$udata[0]||";

$fp=fopen("L2dbnam/esql2db/clan/gold/$gold.dat","a+");
flock($fp,LOCK_EX);
ftruncate($fp,0);
fputs($fp,"$text");
fflush($fp);
flock($fp,LOCK_UN);
fclose($fp);
chmod ("L2dbnam/esql2db/clan/gold/$gold.dat", 0666);

$fal = @file("L2dbnam/esql2db/reg/$log.dat");
$udata = explode(":||:",$fal[0]);

$udata[95]=$udata[95]+$kol;

$text=$udata[0].':||:'.$udata[1].':||:'.$udata[2].':||:'.$udata[3].':||:'.$udata[4].':||:'.$udata[5].':||:'.$udata[6].':||:'.$udata[7].':||:'.$udata[8].':||:'.$udata[9].':||:'.$udata[10].':||:'.$udata[11].':||:'.$udata[12].':||:'.$udata[13].':||:'.$udata[14].':||:'.$udata[15].':||:'.$udata[16].':||:'.$udata[17].':||:'.$udata[18].':||:'.$udata[19].':||:'.$udata[20].':||:'.$udata[21].':||:'.$udata[22].':||:'.$udata[23].':||:'.$udata[24].':||:'.$udata[25].':||:'.$udata[26].':||:'.$udata[27].':||:'.$udata[28].':||:'.$udata[29].':||:'.$udata[30].':||:'.$udata[31].':||:'.$udata[32].':||:'.$udata[33].':||:'.$udata[34].':||:'.$udata[35].':||:'.$udata[36].':||:'.$udata[37].':||:'.$udata[38].':||:'.$udata[39].':||:'.$udata[40].':||:'.$udata[41].':||:'.$udata[42].':||:'.$udata[43].':||:'.$udata[44].':||:'.$udata[45].':||:'.$udata[46].':||:'.$udata[47].':||:'.$udata[48].':||:'.$udata[49].':||:'.$udata[50].':||:'.$udata[51].':||:'.$udata[52].':||:'.$udata[53].':||:'.$udata[54].':||:'.$udata[55].':||:'.$udata[56].':||:'.$udata[57].':||:'.$udata[58].':||:'.$udata[59].':||:'.$udata[60].':||:'.$udata[61].':||:'.$udata[62].':||:'.$udata[63].':||:'.$udata[64].':||:'.$udata[65].':||:'.$udata[66].':||:'.$udata[67].':||:'.$udata[68].':||:'.$udata[69].':||:'.$udata[70].':||:'.$udata[71].':||:'.$udata[72].':||:'.$udata[73].':||:'.$udata[74].':||:'.$udata[75].':||:'.$udata[76].':||:'.$udata[77].':||:'.$udata[78].':||:'.$udata[79].':||:'.$udata[80].':||:'.$udata[81].':||:'.$udata[82].':||:'.$udata[83].':||:'.$udata[84].':||:'.$udata[85].':||:'.$udata[86].':||:'.$udata[87].':||:'.$udata[88].':||:'.$udata[89].':||:'.$udata[90].':||:'.$udata[91].':||:'.$udata[92].':||:'.$udata[93].':||:'.$udata[94].':||:'.$udata[95].':||:'.$udata[96].':||:'.$udata[97].':||:'.$udata[98].':||:'.$udata[99].':||:'.$udata[100].':||:'
;

$fp=fopen("L2dbnam/esql2db/reg/$log.dat","a+");
flock($fp,LOCK_EX);
ftruncate($fp,0);
fputs($fp,"$text");
fflush($fp);
flock($fp,LOCK_UN);
fclose($fp);

$fp=@fopen("L2dbnam/esql2db/clan/kaznagold/$udata[23].dat","a+");
fputs($fp,"$log взял $kol <img src='pik4erspic/mini/gold1.png' alt='pic'/>||\r\n");
flock($fp,LOCK_UN);
fclose($fp);
chmod ("L2dbnam/esql2db/clan/logsgold/$udata[23].dat", 0666);

echo"Вы успешно взяли $kol <img src='pik4erspic/mini/gold1.png' alt='pic'/>";
break;
case 'closedel3':

if(@file("L2dbnam/esql2db/clan/kaznagold/$udata[23].dat")){
$text = @file("L2dbnam/esql2db/clan/kaznagold/$udata[23].dat");
$data = explode("||",$text[0]);


if(@file("L2dbnam/esql2db/clan/kaznagold/$udata[23].dat")){
@unlink ("L2dbnam/esql2db/clan/kaznagold/$udata[23].dat");
echo"Вы успешно открыли казну gold";}}
break;

case 'close':
$text=$log.':||:';

$fp=fopen("L2dbnam/esql2db/clan/kazna/$udata[23].dat","w");
flock($fp,LOCK_EX);
ftruncate($fp,0);
fputs($fp,"$text");
fflush($fp);
flock($fp,LOCK_UN);
fclose($fp);
echo"Вы успешно запретили брать деньги из казны клана";
break;

case 'close2':
$text=$log.':||:';

$fp=fopen("L2dbnam/esql2db/clan/kaznacoin/$udata[23].dat","w");
flock($fp,LOCK_EX);
ftruncate($fp,0);
fputs($fp,"$text");
fflush($fp);
flock($fp,LOCK_UN);
fclose($fp);
echo"Вы успешно запретили брать coin of luck";
break;

case 'close4':
$text=$log.':||:';

$fp=fopen("L2dbnam/esql2db/clan/kaznagold/$udata[23].dat","w");
flock($fp,LOCK_EX);
ftruncate($fp,0);
fputs($fp,"$text");
fflush($fp);
flock($fp,LOCK_UN);
fclose($fp);
echo"Вы успешно запретили брать gold";
break;
case 'closedel2':

if(@file("L2dbnam/esql2db/clan/kaznacoin/$udata[23].dat")){
$text = @file("L2dbnam/esql2db/clan/kaznacoin/$udata[23].dat");
$data = explode("||",$text[0]);


if(@file("L2dbnam/esql2db/clan/kaznacoin/$udata[23].dat")){
@unlink ("L2dbnam/esql2db/clan/kaznacoin/$udata[23].dat");
echo"Вы успешно открыли казну coin of luck";}}
break;
case 'closedel':

if(@file("L2dbnam/esql2db/clan/kazna/$udata[23].dat")){
$text = @file("L2dbnam/esql2db/clan/kazna/$udata[23].dat");
$data = explode("||",$text[0]);


if(@file("L2dbnam/esql2db/clan/kazna/$udata[23].dat")){
@unlink ("L2dbnam/esql2db/clan/kazna/$udata[23].dat");
echo"Вы успешно открыли казну денег";}}


break;

case 'site':

if($udata[23]!==$log){ echo"Вы не имеете право размещать объявления!"; include_once"inclydings/down.php"; exit;}

echo "<form action=\"clanroom.php?go=go&".$sd."&go=addsite\" method=\"post\">Текст:<br/>";
echo "<input name=\"text\" maxlength=\"100\" value=\"http://\" title=\"name\"/><br/>";
echo '<input type="submit" value="OK" /></form>';

break;

case 'deskto':

if($udata[23]!==$log){ echo"Вы не имеете право размещать объявления!"; include_once"inclydings/down.php"; exit;}

echo "<form action=\"clanroom.php?go=go&".$sd."&go=desksave\" method=\"post\">Текст:<br/>";
echo "<input name=\"text\" maxlength=\"200\" title=\"name\"/><br/>";
echo '<input type="submit" value="OK" /></form>';

break;

case 'deskto1':

if($udata[23]!==$log){ echo"Вы не имеете право размещать правила клана!"; include_once"inclydings/down.php"; exit;}

echo "<form action=\"clanroom.php?go=go&".$sd."&go=desksave1\" method=\"post\">Текст:<br/>";
echo "<input name=\"text\" maxlength=\"500\" title=\"name\"/><br/>";
echo '<input type="submit" value="OK" /></form>';

break;

case 'addsite':

if($udata[23]!==$log){ echo"Гг не взломаеш! Вы не имеете право размещать сайт клана!"; include_once"inclydings/down.php"; exit;}

$text=htmlspecialchars(addslashes(stripslashes($_POST[text])));

$go="$text||";

$fp=fopen("L2dbnam/esql2db/clan/site/$log.dat","w");
flock($fp,LOCK_EX);
ftruncate($fp,0);
fputs($fp,"$go");
fflush($fp);
flock($fp,LOCK_UN);
fclose($fp);
chmod ("L2dbnam/esql2db/clan/site/$log.dat", 0666);

echo"Сайт клана успешно размещен.";

break;

case 'desksave':

if($udata[23]!==$log){ echo"Вы не имеете право размещать объявления!"; include_once"inclydings/down.php"; exit;}

$text=htmlspecialchars(addslashes(stripslashes($_POST[text])));

$go="$text||";

$fp=fopen("L2dbnam/esql2db/clan/desk/$log.dat","w");
flock($fp,LOCK_EX);
ftruncate($fp,0);
fputs($fp,"$go");
fflush($fp);
flock($fp,LOCK_UN);
fclose($fp);
chmod ("L2dbnam/esql2db/clan/desk/$log.dat", 0666);

echo"Объявление размещено.";

break;

case 'desksave1':

if($udata[23]!==$log){ echo"Вы не имеете право размещать правила!"; include_once"inclydings/down.php"; exit;}

$text=htmlspecialchars(addslashes(stripslashes($_POST[text])));

$go="$text||";

$fp=fopen("L2dbnam/esql2db/clan/pravila/$log.dat","w");
flock($fp,LOCK_EX);
ftruncate($fp,0);
fputs($fp,"$go");
fflush($fp);
flock($fp,LOCK_UN);
fclose($fp);
chmod ("L2dbnam/esql2db/clan/pravila/$log.dat", 0666);

echo"Правила созданы.";

break;

case 'add':

$u1=getenv('HTTP_USER_AGENT');
$brow=strtok($u1,'/');
if (getenv("HTTP_X_FORWARDED_FOR"))
{ $ip=getenv("HTTP_X_FORWARDED_FOR"); }
else { $ip=$_SERVER['REMOTE_ADDR']; }


$ip=htmlspecialchars(stripslashes($ip));
$brow=htmlspecialchars(stripslashes($brow));
$brow=str_replace("|","",$brow);
$ip=str_replace("|","",$ip);
$brow=str_replace("#","",$brow);
$ip=str_replace("#","",$ip);

require_once "inclydings/flood.php";
if (CheckIP ()){ echo"<b>[Guard Plamens]</b> Уважаемый $log пожалуйста не флуди, а то мне придеться тебя наказать."; echo "</p></card></wml>"; exit;}

require_once "inclydings/translit.php";
if(ereg("[а-яА-Я]",$msg)){}else{
$msg=str_replace($trans1,$trans2,$msg);}

$msg=eregi_replace("((https?|ftp|http)://[[:alnum:]_=/-]+(\\.[[:alnum:]_=/-]+)*(/[[:alnum:]+&._=/%]*(\\?[[:alnum:]?+&_=/%]*)?)?).(ru|org|net|info|com)", "Реклама запрещена", $msg);
$msg=eregi_replace("([[:alnum:]_=/-]+(\\.[[:alnum:]_=/-]+)*(/[[:alnum:]+&._=/%]*(\\?[[:alnum:]?+&_=/%]*)?)?).(ru|org|net|info|com)", "Реклама запрещена", $msg);

$msg=stripslashes($msg);
$msg=htmlspecialchars($msg);
$msg=str_replace("\\","",$msg);
$msg=str_replace("/","",$msg);
$msg=str_replace("|","",$msg);
$msg=str_replace("$","",$msg);
$msg=str_replace("&","",$msg);
$msg=str_replace("<","",$msg);
$msg=str_replace(">","",$msg);
$msg=str_replace("#","",$msg);
$log=str_replace("#","",$log);
//////////////////////////////////
if ($msg == "" || strlen($msg) > 250 || strlen($msg) < 1) { echo"Сообщение длинное или короткое!"; echo "</p></card></wml>"; exit;}

$date=date("d.m.y");
$time=date("H:i");

if(@file("L2dbnam/esql2db/admin/$log.dat")){
$msg="<font color=red>$msg</font>";}

$text="$msg#$log#$date#$time#";
$text=str_replace("\r\n", "", $text);


$fp=fopen("L2dbnam/esql2db/clan/chat/$udata[23].dat","a");
flock ($fp,LOCK_EX);
fputs($fp,"$text\r\n");
flock ($fp,LOCK_UN);
fclose($fp);



$file=file("L2dbnam/esql2db/clan/chat/$udata[23].dat"); $i = count($file);
if ($i>=100) {
$fp=fopen("L2dbnam/esql2db/clan/chat/$udata[23].dat","w");
flock ($fp,LOCK_EX);
unset($file[0]);
fputs($fp, implode("",$file));
flock ($fp,LOCK_UN);
fclose($fp);
}



echo"Сообщение добавлено!";
echo"<br/><a href=\"clanroom.php?$sd&ref=$ref\">Продолжить</a><br/>";
break;

case 'bankgold':
if($udata[95]=="Пусто"){echo'У вас нету <img src="pik4erspic/mini/gold1.png" alt="pic"/><br/>';include_once"inclydings/down.php"; exit;}
echo "<form action=\"clanroom.php?go=go&".$sd."&go=bankgold3\" method=\"post\">Сколько?:<br/>";
echo "<input name=\"kol\" maxlength=\"20\" title=\"name\"/><br/>";
echo '<input type="submit" value="OK" /></form>';
break;

case 'bankgold3':

$gold=$udata[23];

if($udata[95]<$_POST[kol]){echo"У вас нет $kol <img src='pik4erspic/mini/gold1.png' alt='pic'/>"; include_once"inclydings/down.php"; exit;}

if(eregi("[^0-9]",$_POST[kol])){echo"Вводите число, а не буквы!"; include_once"inclydings/down.php"; exit;}

$fal = @file("L2dbnam/esql2db/clan/gold/$gold.dat");
$udata = explode("||",$fal[0]);

$udata[0]=$udata[0]+$_POST[kol];

$text="$udata[0]||";

$fp=fopen("L2dbnam/esql2db/clan/gold/$gold.dat","a+");
flock($fp,LOCK_EX);
ftruncate($fp,0);
fputs($fp,"$text");
fflush($fp);
flock($fp,LOCK_UN);
fclose($fp);
chmod ("L2dbnam/esql2db/clan/gold/$gold.dat", 0666);

$fal = @file("L2dbnam/esql2db/reg/$log.dat");
$udata = explode(":||:",$fal[0]);

$udata[95]=$udata[95]-$kol;
$text=$udata[0].':||:'.$udata[1].':||:'.$udata[2].':||:'.$udata[3].':||:'.$udata[4].':||:'.$udata[5].':||:'.$udata[6].':||:'.$udata[7].':||:'.$udata[8].':||:'.$udata[9].':||:'.$udata[10].':||:'.$udata[11].':||:'.$udata[12].':||:'.$udata[13].':||:'.$udata[14].':||:'.$udata[15].':||:'.$udata[16].':||:'.$udata[17].':||:'.$udata[18].':||:'.$udata[19].':||:'.$udata[20].':||:'.$udata[21].':||:'.$udata[22].':||:'.$udata[23].':||:'.$udata[24].':||:'.$udata[25].':||:'.$udata[26].':||:'.$udata[27].':||:'.$udata[28].':||:'.$udata[29].':||:'.$udata[30].':||:'.$udata[31].':||:'.$udata[32].':||:'.$udata[33].':||:'.$udata[34].':||:'.$udata[35].':||:'.$udata[36].':||:'.$udata[37].':||:'.$udata[38].':||:'.$udata[39].':||:'.$udata[40].':||:'.$udata[41].':||:'.$udata[42].':||:'.$udata[43].':||:'.$udata[44].':||:'.$udata[45].':||:'.$udata[46].':||:'.$udata[47].':||:'.$udata[48].':||:'.$udata[49].':||:'.$udata[50].':||:'.$udata[51].':||:'.$udata[52].':||:'.$udata[53].':||:'.$udata[54].':||:'.$udata[55].':||:'.$udata[56].':||:'.$udata[57].':||:'.$udata[58].':||:'.$udata[59].':||:'.$udata[60].':||:'.$udata[61].':||:'.$udata[62].':||:'.$udata[63].':||:'.$udata[64].':||:'.$udata[65].':||:'.$udata[66].':||:'.$udata[67].':||:'.$udata[68].':||:'.$udata[69].':||:'.$udata[70].':||:'.$udata[71].':||:'.$udata[72].':||:'.$udata[73].':||:'.$udata[74].':||:'.$udata[75].':||:'.$udata[76].':||:'.$udata[77].':||:'.$udata[78].':||:'.$udata[79].':||:'.$udata[80].':||:'.$udata[81].':||:'.$udata[82].':||:'.$udata[83].':||:'.$udata[84].':||:'.$udata[85].':||:'.$udata[86].':||:'.$udata[87].':||:'.$udata[88].':||:'.$udata[89].':||:'.$udata[90].':||:'.$udata[91].':||:'.$udata[92].':||:'.$udata[93].':||:'.$udata[94].':||:'.$udata[95].':||:'.$udata[96].':||:'.$udata[97].':||:'.$udata[98].':||:'.$udata[99].':||:'.$udata[100].':||:'
;

$fp=fopen("L2dbnam/esql2db/reg/$log.dat","a+");
flock($fp,LOCK_EX);
ftruncate($fp,0);
fputs($fp,"$text");
fflush($fp);
flock($fp,LOCK_UN);
fclose($fp);


$fp=@fopen("L2dbnam/esql2db/clan/logsgold/$udata[23].dat","a+");
fputs($fp,"$log положил $kol <img src='pik4erspic/mini/gold1.png' alt='pic'/>||\r\n");
flock($fp,LOCK_UN);
fclose($fp);
chmod ("L2dbnam/esql2db/clan/logsgold/$udata[23].dat", 0666);

echo"Вы успешно вложили в капитал клана $kol <img src='pik4erspic/mini/gold1.png' alt='pic'/>";

break;

case 'bankcol':

echo "<form action=\"clanroom.php?go=go&".$sd."&go=bankcol1\" method=\"post\">Сколько?:<br/>";
echo "<input name=\"kol\" maxlength=\"20\" title=\"name\"/><br/>";
echo '<input type="submit" value="OK" /></form>';

break;

case 'bankcol1':

$coin=$udata[23];

if($udata[14]<$_POST[kol]){echo"У вас нет $kol <img src='pik4erspic/mini/gold.gif' height=13 width=13>"; include_once"inclydings/down.php"; exit;}

if(eregi("[^0-9]",$_POST[kol])){echo"Вводите число, а не буквы!"; include_once"inclydings/down.php"; exit;}

$fal = @file("L2dbnam/esql2db/clan/coin/$coin.dat");
$udata = explode("||",$fal[0]);

$udata[0]=$udata[0]+$_POST[kol];

$text="$udata[0]||";

$fp=fopen("L2dbnam/esql2db/clan/coin/$coin.dat","a+");
flock($fp,LOCK_EX);
ftruncate($fp,0);
fputs($fp,"$text");
fflush($fp);
flock($fp,LOCK_UN);
fclose($fp);
chmod ("L2dbnam/esql2db/clan/coin/$coin.dat", 0666);

$fal = @file("L2dbnam/esql2db/reg/$log.dat");
$udata = explode(":||:",$fal[0]);

$udata[14]=$udata[14]-$kol;
$text=$udata[0].':||:'.$udata[1].':||:'.$udata[2].':||:'.$udata[3].':||:'.$udata[4].':||:'.$udata[5].':||:'.$udata[6].':||:'.$udata[7].':||:'.$udata[8].':||:'.$udata[9].':||:'.$udata[10].':||:'.$udata[11].':||:'.$udata[12].':||:'.$udata[13].':||:'.$udata[14].':||:'.$udata[15].':||:'.$udata[16].':||:'.$udata[17].':||:'.$udata[18].':||:'.$udata[19].':||:'.$udata[20].':||:'.$udata[21].':||:'.$udata[22].':||:'.$udata[23].':||:'.$udata[24].':||:'.$udata[25].':||:'.$udata[26].':||:'.$udata[27].':||:'.$udata[28].':||:'.$udata[29].':||:'.$udata[30].':||:'.$udata[31].':||:'.$udata[32].':||:'.$udata[33].':||:'.$udata[34].':||:'.$udata[35].':||:'.$udata[36].':||:'.$udata[37].':||:'.$udata[38].':||:'.$udata[39].':||:'.$udata[40].':||:'.$udata[41].':||:'.$udata[42].':||:'.$udata[43].':||:'.$udata[44].':||:'.$udata[45].':||:'.$udata[46].':||:'.$udata[47].':||:'.$udata[48].':||:'.$udata[49].':||:'.$udata[50].':||:'.$udata[51].':||:'.$udata[52].':||:'.$udata[53].':||:'.$udata[54].':||:'.$udata[55].':||:'.$udata[56].':||:'.$udata[57].':||:'.$udata[58].':||:'.$udata[59].':||:'.$udata[60].':||:'.$udata[61].':||:'.$udata[62].':||:'.$udata[63].':||:'.$udata[64].':||:'.$udata[65].':||:'.$udata[66].':||:'.$udata[67].':||:'.$udata[68].':||:'.$udata[69].':||:'.$udata[70].':||:'.$udata[71].':||:'.$udata[72].':||:'.$udata[73].':||:'.$udata[74].':||:'.$udata[75].':||:'.$udata[76].':||:'.$udata[77].':||:'.$udata[78].':||:'.$udata[79].':||:'.$udata[80].':||:'.$udata[81].':||:'.$udata[82].':||:'.$udata[83].':||:'.$udata[84].':||:'.$udata[85].':||:'.$udata[86].':||:'.$udata[87].':||:'.$udata[88].':||:'.$udata[89].':||:'.$udata[90].':||:'.$udata[91].':||:'.$udata[92].':||:'.$udata[93].':||:'.$udata[94].':||:'.$udata[95].':||:'.$udata[96].':||:'.$udata[97].':||:'.$udata[98].':||:'.$udata[99].':||:'.$udata[100].':||:'
;

$fp=fopen("L2dbnam/esql2db/reg/$log.dat","a+");
flock($fp,LOCK_EX);
ftruncate($fp,0);
fputs($fp,"$text");
fflush($fp);
flock($fp,LOCK_UN);
fclose($fp);


$fp=@fopen("L2dbnam/esql2db/clan/logscoin/$udata[23].dat","a+");
fputs($fp,"$log положил $kol <img src='pik4erspic/mini/gold.gif' height=13 width=13>||\r\n");
flock($fp,LOCK_UN);
fclose($fp);
chmod ("L2dbnam/esql2db/clan/logscoin/$udata[23].dat", 0666);

echo"Вы успешно вложили в капитал клана $kol <img src='pik4erspic/mini/gold.gif' height=13 width=13>";


break;

case 'bankadd':

echo "<form action=\"clanroom.php?go=go&".$sd."&go=addbank\" method=\"post\">Сколько?:<br/>";
echo "<input name=\"kol\" maxlength=\"20\" title=\"name\"/><br/>";
echo '<input type="submit" value="OK" /></form>';

break;

case 'addbank':

$bank=$udata[23];

if($udata[8]<$_POST[kol]){echo"У вас нет $kol <img src='pik4erspic/mini/aden.gif' alt='pic'/>"; include_once"inclydings/down.php"; exit;}

if(eregi("[^0-9]",$_POST[kol])){echo"Вводите число, а не буквы!"; include_once"inclydings/down.php"; exit;}

$fal = @file("L2dbnam/esql2db/clan/bank/$bank.dat");
$udata = explode("||",$fal[0]);

$udata[0]=$udata[0]+$_POST[kol];

$text="$udata[0]||";

$fp=fopen("L2dbnam/esql2db/clan/bank/$bank.dat","a+");
flock($fp,LOCK_EX);
ftruncate($fp,0);
fputs($fp,"$text");
fflush($fp);
flock($fp,LOCK_UN);
fclose($fp);
chmod ("L2dbnam/esql2db/clan/bank/$bank.dat", 0666);

$fal = @file("L2dbnam/esql2db/reg/$log.dat");
$udata = explode(":||:",$fal[0]);

$udata[8]=$udata[8]-$kol;
$text=$udata[0].':||:'.$udata[1].':||:'.$udata[2].':||:'.$udata[3].':||:'.$udata[4].':||:'.$udata[5].':||:'.$udata[6].':||:'.$udata[7].':||:'.$udata[8].':||:'.$udata[9].':||:'.$udata[10].':||:'.$udata[11].':||:'.$udata[12].':||:'.$udata[13].':||:'.$udata[14].':||:'.$udata[15].':||:'.$udata[16].':||:'.$udata[17].':||:'.$udata[18].':||:'.$udata[19].':||:'.$udata[20].':||:'.$udata[21].':||:'.$udata[22].':||:'.$udata[23].':||:'.$udata[24].':||:'.$udata[25].':||:'.$udata[26].':||:'.$udata[27].':||:'.$udata[28].':||:'.$udata[29].':||:'.$udata[30].':||:'.$udata[31].':||:'.$udata[32].':||:'.$udata[33].':||:'.$udata[34].':||:'.$udata[35].':||:'.$udata[36].':||:'.$udata[37].':||:'.$udata[38].':||:'.$udata[39].':||:'.$udata[40].':||:'.$udata[41].':||:'.$udata[42].':||:'.$udata[43].':||:'.$udata[44].':||:'.$udata[45].':||:'.$udata[46].':||:'.$udata[47].':||:'.$udata[48].':||:'.$udata[49].':||:'.$udata[50].':||:'.$udata[51].':||:'.$udata[52].':||:'.$udata[53].':||:'.$udata[54].':||:'.$udata[55].':||:'.$udata[56].':||:'.$udata[57].':||:'.$udata[58].':||:'.$udata[59].':||:'.$udata[60].':||:'.$udata[61].':||:'.$udata[62].':||:'.$udata[63].':||:'.$udata[64].':||:'.$udata[65].':||:'.$udata[66].':||:'.$udata[67].':||:'.$udata[68].':||:'.$udata[69].':||:'.$udata[70].':||:'.$udata[71].':||:'.$udata[72].':||:'.$udata[73].':||:'.$udata[74].':||:'.$udata[75].':||:'.$udata[76].':||:'.$udata[77].':||:'.$udata[78].':||:'.$udata[79].':||:'.$udata[80].':||:'.$udata[81].':||:'.$udata[82].':||:'.$udata[83].':||:'.$udata[84].':||:'.$udata[85].':||:'.$udata[86].':||:'.$udata[87].':||:'.$udata[88].':||:'.$udata[89].':||:'.$udata[90].':||:'.$udata[91].':||:'.$udata[92].':||:'.$udata[93].':||:'.$udata[94].':||:'.$udata[95].':||:'.$udata[96].':||:'.$udata[97].':||:'.$udata[98].':||:'.$udata[99].':||:'.$udata[100].':||:'
;

$fp=fopen("L2dbnam/esql2db/reg/$log.dat","a+");
flock($fp,LOCK_EX);
ftruncate($fp,0);
fputs($fp,"$text");
fflush($fp);
flock($fp,LOCK_UN);
fclose($fp);


$fp=@fopen("L2dbnam/esql2db/clan/logs/$udata[23].dat","a+");
fputs($fp,"$log положил $kol <img src='pik4erspic/mini/aden.gif' alt='pic'/>||\r\n");
flock($fp,LOCK_UN);
fclose($fp);
chmod ("L2dbnam/esql2db/clan/logs/$udata[23].dat", 0666);

echo"Вы успешно вложили в капитал клана $kol <img src='pik4erspic/mini/aden.gif' alt='pic'/>";
break;

case 'my2':
if(@file("L2dbnam/esql2db/clan/kaznacoin/$udata[23].dat")){echo"Глава клана запретил брать <img src='pik4erspic/mini/gold.gif' height=13 width=13>"; include_once"inclydings/down.php"; exit;}
echo "<form action=\"clanroom.php?go=go&".$sd."&go=mybank2\" method=\"post\">Сколько?:<br/>";
echo "<input name=\"kol\" maxlength=\"20\" title=\"name\"/><br/>";
echo '<input type="submit" value="OK" /></form>';

break;

case 'mybank2':

$coin=$udata[23];

$fal = @file("L2dbnam/esql2db/clan/coin/$coin.dat");
$udata = explode("||",$fal[0]);

if($_POST[kol]>$udata[0]){echo"У клана нет столько <img src='pik4erspic/mini/gold.gif' height=13 width=13>"; include_once"inclydings/down.php"; exit;}

if(eregi("[^0-9]",$_POST[kol])){echo"Вводите число, а не буквы!"; include_once"inclydings/down.php"; exit;}

$fal = @file("L2dbnam/esql2db/clan/coin/$coin.dat");
$udata = explode("||",$fal[0]);

$udata[0]=$udata[0]-$_POST[kol];

$text="$udata[0]||";

$fp=fopen("L2dbnam/esql2db/clan/coin/$coin.dat","a+");
flock($fp,LOCK_EX);
ftruncate($fp,0);
fputs($fp,"$text");
fflush($fp);
flock($fp,LOCK_UN);
fclose($fp);
chmod ("L2dbnam/esql2db/clan/coin/$coin.dat", 0666);

$fal = @file("L2dbnam/esql2db/reg/$log.dat");
$udata = explode(":||:",$fal[0]);

$udata[14]=$udata[14]+$kol;

$text=$udata[0].':||:'.$udata[1].':||:'.$udata[2].':||:'.$udata[3].':||:'.$udata[4].':||:'.$udata[5].':||:'.$udata[6].':||:'.$udata[7].':||:'.$udata[8].':||:'.$udata[9].':||:'.$udata[10].':||:'.$udata[11].':||:'.$udata[12].':||:'.$udata[13].':||:'.$udata[14].':||:'.$udata[15].':||:'.$udata[16].':||:'.$udata[17].':||:'.$udata[18].':||:'.$udata[19].':||:'.$udata[20].':||:'.$udata[21].':||:'.$udata[22].':||:'.$udata[23].':||:'.$udata[24].':||:'.$udata[25].':||:'.$udata[26].':||:'.$udata[27].':||:'.$udata[28].':||:'.$udata[29].':||:'.$udata[30].':||:'.$udata[31].':||:'.$udata[32].':||:'.$udata[33].':||:'.$udata[34].':||:'.$udata[35].':||:'.$udata[36].':||:'.$udata[37].':||:'.$udata[38].':||:'.$udata[39].':||:'.$udata[40].':||:'.$udata[41].':||:'.$udata[42].':||:'.$udata[43].':||:'.$udata[44].':||:'.$udata[45].':||:'.$udata[46].':||:'.$udata[47].':||:'.$udata[48].':||:'.$udata[49].':||:'.$udata[50].':||:'.$udata[51].':||:'.$udata[52].':||:'.$udata[53].':||:'.$udata[54].':||:'.$udata[55].':||:'.$udata[56].':||:'.$udata[57].':||:'.$udata[58].':||:'.$udata[59].':||:'.$udata[60].':||:'.$udata[61].':||:'.$udata[62].':||:'.$udata[63].':||:'.$udata[64].':||:'.$udata[65].':||:'.$udata[66].':||:'.$udata[67].':||:'.$udata[68].':||:'.$udata[69].':||:'.$udata[70].':||:'.$udata[71].':||:'.$udata[72].':||:'.$udata[73].':||:'.$udata[74].':||:'.$udata[75].':||:'.$udata[76].':||:'.$udata[77].':||:'.$udata[78].':||:'.$udata[79].':||:'.$udata[80].':||:'.$udata[81].':||:'.$udata[82].':||:'.$udata[83].':||:'.$udata[84].':||:'.$udata[85].':||:'.$udata[86].':||:'.$udata[87].':||:'.$udata[88].':||:'.$udata[89].':||:'.$udata[90].':||:'.$udata[91].':||:'.$udata[92].':||:'.$udata[93].':||:'.$udata[94].':||:'.$udata[95].':||:'.$udata[96].':||:'.$udata[97].':||:'.$udata[98].':||:'.$udata[99].':||:'.$udata[100].':||:'
;

$fp=fopen("L2dbnam/esql2db/reg/$log.dat","a+");
flock($fp,LOCK_EX);
ftruncate($fp,0);
fputs($fp,"$text");
fflush($fp);
flock($fp,LOCK_UN);
fclose($fp);

$fp=@fopen("L2dbnam/esql2db/clan/kaznacoin/$udata[23].dat","a+");
fputs($fp,"$log взял $kol <img src='pik4erspic/mini/gold.gif' height=13 width=13>||\r\n");
flock($fp,LOCK_UN);
fclose($fp);
chmod ("L2dbnam/esql2db/clan/logscoin/$udata[23].dat", 0666);

echo"Вы успешно взяли $kol <img src='pik4erspic/mini/gold.gif' height=13 width=13>";

break;

case 'my':
if(@file("L2dbnam/esql2db/clan/kazna/$udata[23].dat")){echo"Глава клана запретил брать <img src='pik4erspic/mini/aden.gif' alt='pic'/>"; include_once"inclydings/down.php"; exit;}
echo "<form action=\"clanroom.php?go=go&".$sd."&go=mybank\" method=\"post\">Сколько?:<br/>";
echo "<input name=\"kol\" maxlength=\"20\" title=\"name\"/><br/>";
echo '<input type="submit" value="OK" /></form>';
break;

case 'mybank':

$bank=$udata[23];

$fal = @file("L2dbnam/esql2db/clan/bank/$bank.dat");
$udata = explode("||",$fal[0]);

if($_POST[kol]>$udata[0]){echo"У клана нет столько <img src='pik4erspic/mini/aden.gif' alt='pic'/>"; include_once"inclydings/down.php"; exit;}

if(eregi("[^0-9]",$_POST[kol])){echo"Вводите число, а не буквы!"; include_once"inclydings/down.php"; exit;}

$fal = @file("L2dbnam/esql2db/clan/bank/$bank.dat");
$udata = explode("||",$fal[0]);

$udata[0]=$udata[0]-$_POST[kol];

$text="$udata[0]||";

$fp=fopen("L2dbnam/esql2db/clan/bank/$bank.dat","a+");
flock($fp,LOCK_EX);
ftruncate($fp,0);
fputs($fp,"$text");
fflush($fp);
flock($fp,LOCK_UN);
fclose($fp);
chmod ("L2dbnam/esql2db/clan/bank/$bank.dat", 0666);

$fal = @file("L2dbnam/esql2db/reg/$log.dat");
$udata = explode(":||:",$fal[0]);

$udata[8]=$udata[8]+$kol;

$text=$udata[0].':||:'.$udata[1].':||:'.$udata[2].':||:'.$udata[3].':||:'.$udata[4].':||:'.$udata[5].':||:'.$udata[6].':||:'.$udata[7].':||:'.$udata[8].':||:'.$udata[9].':||:'.$udata[10].':||:'.$udata[11].':||:'.$udata[12].':||:'.$udata[13].':||:'.$udata[14].':||:'.$udata[15].':||:'.$udata[16].':||:'.$udata[17].':||:'.$udata[18].':||:'.$udata[19].':||:'.$udata[20].':||:'.$udata[21].':||:'.$udata[22].':||:'.$udata[23].':||:'.$udata[24].':||:'.$udata[25].':||:'.$udata[26].':||:'.$udata[27].':||:'.$udata[28].':||:'.$udata[29].':||:'.$udata[30].':||:'.$udata[31].':||:'.$udata[32].':||:'.$udata[33].':||:'.$udata[34].':||:'.$udata[35].':||:'.$udata[36].':||:'.$udata[37].':||:'.$udata[38].':||:'.$udata[39].':||:'.$udata[40].':||:'.$udata[41].':||:'.$udata[42].':||:'.$udata[43].':||:'.$udata[44].':||:'.$udata[45].':||:'.$udata[46].':||:'.$udata[47].':||:'.$udata[48].':||:'.$udata[49].':||:'.$udata[50].':||:'.$udata[51].':||:'.$udata[52].':||:'.$udata[53].':||:'.$udata[54].':||:'.$udata[55].':||:'.$udata[56].':||:'.$udata[57].':||:'.$udata[58].':||:'.$udata[59].':||:'.$udata[60].':||:'.$udata[61].':||:'.$udata[62].':||:'.$udata[63].':||:'.$udata[64].':||:'.$udata[65].':||:'.$udata[66].':||:'.$udata[67].':||:'.$udata[68].':||:'.$udata[69].':||:'.$udata[70].':||:'.$udata[71].':||:'.$udata[72].':||:'.$udata[73].':||:'.$udata[74].':||:'.$udata[75].':||:'.$udata[76].':||:'.$udata[77].':||:'.$udata[78].':||:'.$udata[79].':||:'.$udata[80].':||:'.$udata[81].':||:'.$udata[82].':||:'.$udata[83].':||:'.$udata[84].':||:'.$udata[85].':||:'.$udata[86].':||:'.$udata[87].':||:'.$udata[88].':||:'.$udata[89].':||:'.$udata[90].':||:'.$udata[91].':||:'.$udata[92].':||:'.$udata[93].':||:'.$udata[94].':||:'.$udata[95].':||:'.$udata[96].':||:'.$udata[97].':||:'.$udata[98].':||:'.$udata[99].':||:'.$udata[100].':||:'
;

$fp=fopen("L2dbnam/esql2db/reg/$log.dat","a+");
flock($fp,LOCK_EX);
ftruncate($fp,0);
fputs($fp,"$text");
fflush($fp);
flock($fp,LOCK_UN);
fclose($fp);

$fp=@fopen("L2dbnam/esql2db/clan/logs/$udata[23].dat","a+");
fputs($fp,"$log взял $kol <img src='pik4erspic/mini/aden.gif' alt='pic'/>||\r\n");
flock($fp,LOCK_UN);
fclose($fp);
chmod ("L2dbnam/esql2db/clan/logs/$udata[23].dat", 0666);

echo"Вы успешно взяли $kol <img src='pik4erspic/mini/aden.gif' alt='pic'/>";
break;

case 'logscoin':

$fal = @file("L2dbnam/esql2db/clan/logscoin/$udata[23].dat");
if(!$fal){echo"Лог пуст!";}
$total=count($fal);
$fal = @array_reverse($fal);

if (empty($_GET['start'])) $start = 0;
else $start = $_GET['start'];
if ($total < $start + 5){ $end = $total; }
else {$end = $start + 5; }
for ($i = $start; $i < $end; $i++){

$data = explode("||",$fal[$i]);

echo"$data[0]<br/>";}

if ($start != 0) {echo '<a href="clanroom.php?start='.($start - 5).'&'.$sd.'&go=logscoin">Назад</a> ';}else{echo'- - -<br/>';}

if ($total > $start + 5) {echo ' <a href="clanroom.php?start='.($start + 5).'&'.$sd.'&go=logscoin">Далее</a>';}

break;

case 'logs':

$fal = @file("L2dbnam/esql2db/clan/logs/$udata[23].dat");
if(!$fal){echo"Лог пуст!";}
$total=count($fal);
$fal = @array_reverse($fal);

if (empty($_GET['start'])) $start = 0;
else $start = $_GET['start'];
if ($total < $start + 5){ $end = $total; }
else {$end = $start + 5; }
for ($i = $start; $i < $end; $i++){

$data = explode("||",$fal[$i]);

echo"$data[0]<br/>";}

if ($start != 0) {echo '<a href="clanroom.php?start='.($start - 5).'&'.$sd.'&go=logs">Назад</a> ';}else{echo'- - -<br/>';}

if ($total > $start + 5) {echo ' <a href="clanroom.php?start='.($start + 5).'&'.$sd.'&go=logs">Далее</a>';}

break;

case 'logsgold':

$fal = @file("L2dbnam/esql2db/clan/logsgold/$udata[23].dat");
if(!$fal){echo"Лог пуст!";}
$total=count($fal);
$fal = @array_reverse($fal);

if (empty($_GET['start'])) $start = 0;
else $start = $_GET['start'];
if ($total < $start + 5){ $end = $total; }
else {$end = $start + 5; }
for ($i = $start; $i < $end; $i++){

$data = explode("||",$fal[$i]);

echo"$data[0]<br/>";}

if ($start != 0) {echo '<a href="clanroom.php?start='.($start - 5).'&'.$sd.'&go=logsgold">Назад</a> ';}else{echo'- - -<br/>';}

if ($total > $start + 5) {echo ' <a href="clanroom.php?start='.($start + 5).'&'.$sd.'&go=logsgold">Далее</a>';}
break;

case 'who':
echo"<b>Список соклановцев</b><br/>";
$fal = @file("L2dbnam/esql2db/clan/name/$udata[23].dat");
if(!$fal){echo"В клане никого нет.";}
$total=count($fal);

for($i=0; $i<$total; $i++){

$data = explode("|",$fal[$i]);

$i2=$i+1;

$file = @file("L2dbnam/esql2db/clan/name/$udata[23].dat");
$file = array_reverse($file);
$data = explode("|",$file[$i]);
$i2=round($i+1);

$id=$total-$i-1;

$data[1]=trim($data[1]);

echo"<b>$i2.</b> <a href=\"search.php?$sd&go=go&nick=$data[1]\">$data[1]</a>";
if(!@file("L2dbnam/esql2db/other/$data[1].dat")){
echo"Offline<br/>";}else{
$text = @file("L2dbnam/esql2db/other/$data[1].dat");
$data = explode("||",$text[0]);
$time=time()-150;
if($data[0]>=$time){
echo" [<font color=\"ADFF2F\">On-Line</font>]<br/>";}else{
echo" [<font color=\"FF0000\">Offline</font>]<br/>";
}
}

}

break;
}
}else{echo"Пароль или ник неверен.Возможно сессия устарела.Попробуйте авторизироваться заново...";}

include_once"inclydings/down.php";
?>